// You can import API functions like this from D3.js.
import { select } from 'd3';

const svg = select('svg');

// You can import local ES6 modules like this. See message.js!
import { message } from './myMessage';

// This line uses D3 to set the text of the message div.
//select('#message').text(message);

//Affichage de la grandeur de la fenetre
//Version 1
console.log(window.innerHeight);
console.log(window.innerWidth);
//Version 2
const width = +svg.attr('width');
const height = +svg.attr('height');
console.log(height);
console.log(width);

// Question 2
/*Essai
svg
  .append('circle')
  .attr('cx', width / 2)
  .attr('cy', height / 2)
  .attr('r', 25)
  .style('fill', 'red');

svg
  .append('circle')
  .attr('cx', 410)
  .attr('cy', height / 2)
  .attr('r', 25)
  .style('fill', 'blue');

svg
  .append('circle')
  .attr('cx', 550)
  .attr('cy', height / 2)
  .attr('r', 25)
  .style('fill', 'green');*/

const circleGroup = svg
  .append('g')
  .attr(
    'transform',
    `translate(${width / 2}, ${height / 2})`
  );

circleGroup
  .append('circle')
  //Question 3
  .attr('fill', 'green')
  //Version avec CSS
  .attr('class', 'circleClass')
  .attr('cx', -150)
  .attr('r', 50);
circleGroup
  .append('circle')
  .attr('fill', 'blue')
  .attr('r', 50);
const circle3 = circleGroup
  .append('circle')
  .attr('fill', 'red')
  .attr('cx', 150)
  .attr('r', 50)
  //Question 4
  .on('mouseover', function () {
    circle3.attr('fill', 'black');
  })
  /* Version 1
  .on('mouseout', function(){
  	circle3.attr('fill', 'red');
	})*/
  //Version 2
  .on('mouseout', function () {
    d3.select(this).attr('fill', 'red');
  });

//Question 4
function moveCircles(circle) {
  circle3
    .transition()
    .duration(2000)
    .attr(
      'transform',
      `translate(${100}, ${-100})`
    )
    .transition()
    .duration(2000)
    .attr('transform', `translate(${100}, ${0})`);
}
svg
  .append('rect')
  .attr('cx', 0)
  .attr('height', 100)
  .attr('width', 200)
  .on('click', function () {
    moveCircles(circle3);
  });
